# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
"""Client and server classes corresponding to protobuf-defined services."""
import grpc

import model_pb2 as model__pb2


class sentiment_analysis_modelStub(object):
    """Define the service
    """

    def __init__(self, channel):
        """Constructor.

        Args:
            channel: A grpc.Channel.
        """
        self.classify_review = channel.unary_unary(
                '/sentiment_analysis_model/classify_review',
                request_serializer=model__pb2.Text.SerializeToString,
                response_deserializer=model__pb2.Review_Classify.FromString,
                )
        self.calculate_metrics = channel.unary_unary(
                '/sentiment_analysis_model/calculate_metrics',
                request_serializer=model__pb2.Empty.SerializeToString,
                response_deserializer=model__pb2.predictionMetric.FromString,
                )


class sentiment_analysis_modelServicer(object):
    """Define the service
    """

    def classify_review(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def calculate_metrics(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')


def add_sentiment_analysis_modelServicer_to_server(servicer, server):
    rpc_method_handlers = {
            'classify_review': grpc.unary_unary_rpc_method_handler(
                    servicer.classify_review,
                    request_deserializer=model__pb2.Text.FromString,
                    response_serializer=model__pb2.Review_Classify.SerializeToString,
            ),
            'calculate_metrics': grpc.unary_unary_rpc_method_handler(
                    servicer.calculate_metrics,
                    request_deserializer=model__pb2.Empty.FromString,
                    response_serializer=model__pb2.predictionMetric.SerializeToString,
            ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
            'sentiment_analysis_model', rpc_method_handlers)
    server.add_generic_rpc_handlers((generic_handler,))


 # This class is part of an EXPERIMENTAL API.
class sentiment_analysis_model(object):
    """Define the service
    """

    @staticmethod
    def classify_review(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/sentiment_analysis_model/classify_review',
            model__pb2.Text.SerializeToString,
            model__pb2.Review_Classify.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def calculate_metrics(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/sentiment_analysis_model/calculate_metrics',
            model__pb2.Empty.SerializeToString,
            model__pb2.predictionMetric.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)
